{% extends 'layouts/admin.html.twig' %}

{% block title %}interface d'administration - membre{% endblock %}


{% block body %}
    {% if is_granted('ROLE_ADMIN') %}
        <!-- affiche le contenu de la page si l'utilisateur connécté est un administrateur -->
        <!-- Tableau -->
        <div class="table">
            <table>
                <thead>
                <tr>
                    <!-- Entête du tableau -->
                    <th>Id</th>
                    <th>Nametag</th>
                    <th>Password</th>
                    <th>E-mail</th>
                    <th>Name</th>
                    <th>Firstname</th>
                    <th>Roles</th>

                    <!-- Colonnes d'actions -->
                    <th class="update-icon">Update</th>
                    <th class="delete-icon">Delete</th>
                </tr>
                </thead>
                <tbody>
                <!-- affichage des élément de la db -->

                {% for entity in entities %}
                    <tr>
                        <td>{{ entity.id }}</td>
                        <td>{{ entity.nametag }}</td>
                        <td>{{ entity.password }}</td>
                        <td>{{ entity.mail }}</td>
                        <td>{{ entity.name }}</td>
                        <td>{{ entity.firstname }}</td>
                        <td>{{ entity.roles | join(', ') }}</td>

                        <!-- Colonnes d'actions -->
                        <td class="update-icon">
                            <!-- Lien ou bouton pour la modification -->
                            <a href="{{ path('update_admin', { 'id' : entity.id })}}"><i class="bi bi-gear"></i></a>
                        </td>
                        <!-- Lien ou bouton pour la suppression -->
                        <td class="delete-icon">
                            <a href="{{ path('delete_member', { 'id' : entity.id })}}"><i class="bi bi-trash"></i></a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
        {% include 'includes/flash-message.html.twig' %}


    {% else %}
        <!-- affiche un message d'erreur si l'utilisateur n'est pas un administrateur -->
        <div class="error_box">
            <h1 class="error_message"><span
                        class="mark_message">Vous n'avez pas l'autorisation d'accéder à cette page.</span> Cette action
                requiert des droits d'administration. Si vous pensez qu'il s'agit d'une erreur, veuillez contacter
                l'administrateur du site pour obtenir de l'aide.</h1>
        </div>
    {% endif %}
{% endblock %}
